package xyz.leomurca.csgomatches.data.local

import xyz.leomurca.csgomatches.data.model.LeagueDto
import xyz.leomurca.csgomatches.data.model.MatchDto
import xyz.leomurca.csgomatches.data.model.OpponentDto
import xyz.leomurca.csgomatches.data.model.OpponentRecord
import xyz.leomurca.csgomatches.data.model.SerieDto
import xyz.leomurca.csgomatches.data.source.MatchDataSource
import xyz.leomurca.csgomatches.domain.model.Resource

class MatchLocalDataSource : MatchDataSource {
    override suspend fun upcomingMatches(): Resource<List<MatchDto>> {
        return Resource.Success(
            data = listOf(
                MatchDto(
                    beginAt = "2025-07-27T10:30:00Z",
                    opponents = emptyList(),
                    league = LeagueDto(
                        id = 5078,
                        name = "United21",
                        imageUrl = "https://cdn.pandascore.co/images/league/image/5078/800px-united21_allmode-png"
                    ),
                    serie = SerieDto(
                        id = 9519,
                        fullName = "Season 35 2025"
                    ),
                    status = "not_started"
                ),
                MatchDto(
                    beginAt = "2025-07-21T10:30:00Z",
                    opponents = listOf(
                        OpponentDto(
                            type = "team",
                            opponent = OpponentRecord(
                                id = 128519,
                                name = "GenOne",
                                imageUrl = "https://cdn.pandascore.co/images/team/image/128519/genone_csgo.png"
                            )
                        ),
                        OpponentDto(
                            type = "team",
                            opponent = OpponentRecord(
                                id = 134996,
                                name = "VOLT",
                                imageUrl = "https://cdn.pandascore.co/images/team/image/134996/127px_volt_2024_allmode.png"
                            )
                        )
                    ),
                    league = LeagueDto(
                        id = 5078,
                        name = "United21",
                        imageUrl = "https://cdn.pandascore.co/images/league/image/5078/800px-united21_allmode-png"
                    ),
                    serie = SerieDto(
                        id = 9519,
                        fullName = "Season 35 2025"
                    ),
                    status = "not_started"
                ),

                )
        )
    }
}